import { NgModule } from '@angular/core';
import { Routes, RouterModule } from '@angular/router';

import { NurseGuard } from './guard/nurse.guard';//护士端权限
import { FuwutaiGuard } from './guard/fuwutai.guard';//服务台权限
import { MainGuard } from './guard/main.guard';//管理端权限
import { PharmacyGuard } from './guard/pharmacy.guard';//药房端权限
const routes: Routes = [
  {
    path: '',
    redirectTo: 'login',
    pathMatch: 'full'
  },
  {
    // 登录
    path: 'login',
    loadChildren: () => import('./views/login/login.module').then(m => m.LoginModule)
  },
  {
    //管理端
    path: 'main',
    loadChildren: () => import('./views/main/main.module').then(m => m.MainModule),
    canActivate: [MainGuard],
  },
  {
    //调度台
    path: 'dispatchingDesk',
    loadChildren: () => import('./views/fuwutai/fuwutai.module').then(m => m.FuwutaiModule),
    canActivate: [FuwutaiGuard],
  },
  {
    // 护士端
    path: 'nurse',
    loadChildren: () => import('./views/hushijiandan/hushijiandan.module').then(m => m.HushijiandanModule),
    canActivate: [NurseGuard],
  },
  {
    path: 'pharmacy',//药房端
    loadChildren: () => import('./views/pharmacy/pharmacy.module').then(m => m.PharmacyModule),
    canActivate: [PharmacyGuard]
  },
  {
    path: 'pharmacy2',//药房端2
    loadChildren: () => import('./views/pharmacy2/pharmacy2.module').then(m => m.Pharmacy2Module),
    canActivate: [PharmacyGuard]
  },
  { path: '**', redirectTo: 'main/home' }

];

@NgModule({
  imports: [RouterModule.forRoot(routes)],
  exports: [RouterModule]
})
export class AppRoutingModule { }
