import { Component, ElementRef, Input, OnInit, ViewChild } from "@angular/core";
import Viewer from 'viewerjs';
@Component({
  selector: "app-image-viewer",
  templateUrl: "./image-viewer.component.html",
  styleUrls: ["./image-viewer.component.less"],
})
export class ImageViewerComponent implements OnInit {
  @ViewChild("ljImgViewerId", { static: false }) ljImgViewer: ElementRef;
  // 图片地址
  @Input() imageUrl: any = [];
  // 默认预览图大小 (单位px)
  @Input() width: any = 100;
  @Input() height: any = 100;

  constructor() {}

  ngOnInit(): void {
    console.log('初始化')
    // 传入是单条转换为数租
    if (typeof this.imageUrl == "string") {
      this.imageUrl = [this.imageUrl];
    }
  }

  ngAfterViewInit(): void {
    new Viewer(this.ljImgViewer["nativeElement"]);
  }
}
